Loading...

Last updated: Oct 20 2016

Area: Episerver CMS Applies to versions: 8

Upgrading EPiServer CMO with CMS 8

Prerequisites

It's recommended to upgrade the website to .NET Framework 4.5 and update NuGet packages to corresponding 7.5.x version:

  • EPiServer.CMS.Core should be updated to 7.14 or later version.
  • CMO should be updated to 7.5.446.2 or later version.

 

Upgrading CMO

  1. It is recommended to run the following command in order to move all the protected modules and add-ons (including CMO and Live Monitor) to a new location in the /modules/_protected directory:
    Move-EPiServerProtectedModules
  2. Update EPiServer CMS platform and CMO by running the Update-Package commands. Make sure that you run the Update-Package EPiServer.Cmo first for correct update order:
    Update-Package EPiServer.Cmo
    Update-Package EPiServer.Cms
  3. Update the CMS database to the latest version by running the following command:
    Update-EPiDatabase
  4. Optional: Install the latest Live Monitor package. The new EPiServer CMO doesn't have a direct dependency on Live Monitor. Live Monitor package for EPiServer 7.5 may be removed by NuGet when upgrading the CMO package to the latest version.
    Install-Package EPiServer.LiveMonitor
  5. Optional: Configure Live Monitor and related components as described in the Configuring .Net SignalR article.
    Basically you need to add assembly redirects for SignalR components and define EPiServerLiveMonitorOWINStartup as a startup value.
    This step is required only if you have the latest Live Monitor installed.
  6. Rebuild the solution.

Do you have feedback on this documentation? Send an email to documentation@episerver.com. For development-related questions and discussions, refer to our Forums on https://world.episerver.com/forum/